Skip to content
Docs

Create a repository

POSThttps://api.vercel.com/v1/vcr/repository
Create a container registry repository for a project.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.vcr.createRepository({
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
requestBody: {
projectId: "<id>",
name: "nginx",
},
});
console.log(result);
}
run();
Response
{
"repository": {
"createdAt": "2026-06-30T10:00:00.000Z",
"id": "repo_a1b2c3d4e5f6",
"name": "my-app",
"projectId": "prj_a1b2c3d4e5f6",
"public": "false",
"updatedAt": "2026-06-30T10:00:00.000Z"
}
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
projectIdstringRequired
Project ID or name (slug) within the authenticated team. IDs take precedence over names. Missing or empty values return HTTP 400.
namestringRequired
Single Docker repository name component.
200Success
repositoryobjectRequired
A Vercel Container Registry repository.
400One of the provided values in the request body is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error